stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
stdex::no_delete< T > Struct Template Reference

Noop deleter. More...

`#include <stdex/memory.hpp>`

## Public Member Functions
template<class T2 , std::enable_if_t< std::is_convertible_v< T2 *, T * >, int > = 0>
| no_delete (const no_delete< T2 > &) noexcept
void | operator() (T *p) const noexcept

## Detailed Description

template<class T>
struct stdex::no_delete< T >

Noop deleter.

The documentation for this struct was generated from the following file:

- include/stdex/memory.hpp